diff --git a/doc/src/sgml/charset.sgml b/doc/src/sgml/charset.sgml
index 3aabc798012..fa41e4361f0 100644
--- a/doc/src/sgml/charset.sgml
+++ b/doc/src/sgml/charset.sgml
@@ -32,7 +32,7 @@
   </para>
 
 
- <sect1 id="locale">
+ <sect1 id="locale" xreflabel="Locale Support">
   <title>Locale Support</title>
 
   <indexterm zone="locale"><primary>locale</primary></indexterm>
@@ -46,7 +46,7 @@
    system.
   </para>
 
-  <sect2 id="locale-overview">
+  <sect2 id="locale-overview" xreflabel="Overview">
    <title>Overview</title>
 
    <para>
@@ -206,7 +206,7 @@ initdb --locale=sv_SE
    </para>
   </sect2>
 
-  <sect2 id="locale-behavior">
+  <sect2 id="locale-behavior" xreflabel="Behavior">
    <title>Behavior</title>
 
    <para>
@@ -276,7 +276,7 @@ initdb --locale=sv_SE
    </para>
   </sect2>
 
-  <sect2 id="locale-selecting-locales">
+  <sect2 id="locale-selecting-locales" xreflabel="Selecting Locales">
    <title>Selecting Locales</title>
 
    <para>
@@ -338,7 +338,7 @@ initdb --locale=sv_SE
    </orderedlist>
   </sect2>
 
-  <sect2 id="locale-providers">
+  <sect2 id="locale-providers" xreflabel="Locale Providers">
    <title>Locale Providers</title>
 
    <para>
@@ -450,10 +450,10 @@ initdb --locale-provider=icu --icu-locale=en
    </variablelist>
   </sect2>
 
-  <sect2 id="icu-locales">
+  <sect2 id="icu-locales" xreflabel="ICU Locales">
    <title>ICU Locales</title>
 
-   <sect3 id="icu-locale-names">
+   <sect3 id="icu-locale-names" xreflabel="ICU Locale Names">
     <title>ICU Locale Names</title>
 
     <para>
@@ -467,7 +467,7 @@ CREATE COLLATION mycollation2 (provider = icu, locale = 'fr');
     </para>
    </sect3>
 
-   <sect3 id="icu-canonicalization">
+   <sect3 id="icu-canonicalization" xreflabel="Locale Canonicalization and Validation">
     <title>Locale Canonicalization and Validation</title>
     <para>
      When defining a new ICU collation object or database with ICU as the
@@ -518,7 +518,7 @@ CREATE COLLATION
     </para>
    </sect3>
 
-   <sect3 id="icu-language-tag">
+   <sect3 id="icu-language-tag" xreflabel="Language Tag">
     <title>Language Tag</title>
 
     <para>
@@ -592,7 +592,7 @@ SELECT 'N-45' &lt; 'N-123' COLLATE mycollation5 AS result;
    </sect3>
   </sect2>
 
-  <sect2 id="locale-problems">
+  <sect2 id="locale-problems" xreflabel="Problems">
    <title>Problems</title>
 
    <para>
@@ -641,7 +641,7 @@ SELECT 'N-45' &lt; 'N-123' COLLATE mycollation5 AS result;
  </sect1>
 
 
- <sect1 id="collation">
+ <sect1 id="collation" xreflabel="Collation Support">
   <title>Collation Support</title>
 
   <indexterm zone="collation"><primary>collation</primary></indexterm>
@@ -654,7 +654,7 @@ SELECT 'N-45' &lt; 'N-123' COLLATE mycollation5 AS result;
    of a database cannot be changed after its creation.
   </para>
 
-  <sect2 id="collation-concepts">
+  <sect2 id="collation-concepts" xreflabel="Concepts">
    <title>Concepts</title>
 
    <para>
@@ -815,7 +815,7 @@ SELECT * FROM test1 ORDER BY a || b COLLATE "fr_FR";
    </para>
   </sect2>
 
-  <sect2 id="collation-managing">
+  <sect2 id="collation-managing" xreflabel="Managing Collations">
    <title>Managing Collations</title>
 
    <para>
@@ -856,7 +856,7 @@ SELECT * FROM test1 ORDER BY a || b COLLATE "fr_FR";
     a database.
    </para>
 
-   <sect3 id="collation-managing-standard">
+   <sect3 id="collation-managing-standard" xreflabel="Standard Collations">
     <title>Standard Collations</title>
 
    <para>
@@ -963,7 +963,7 @@ SELECT * FROM test1 ORDER BY a || b COLLATE "fr_FR";
    </para>
   </sect3>
 
-  <sect3 id="collation-managing-predefined">
+  <sect3 id="collation-managing-predefined" xreflabel="Predefined Collations">
    <title>Predefined Collations</title>
 
    <para>
@@ -982,7 +982,7 @@ SELECT * FROM test1 ORDER BY a || b COLLATE "fr_FR";
     in <application>psql</application>.
    </para>
 
-  <sect4 id="collation-managing-predefined-libc">
+  <sect4 id="collation-managing-predefined-libc" xreflabel="libc Collations">
    <title>libc Collations</title>
 
    <para>
@@ -1039,7 +1039,7 @@ SELECT a COLLATE "C" &lt; b COLLATE "POSIX" FROM test1;
    </para>
   </sect4>
 
-  <sect4 id="collation-managing-predefined-icu">
+  <sect4 id="collation-managing-predefined-icu" xreflabel="ICU Collations">
    <title>ICU Collations</title>
 
    <para>
@@ -1099,7 +1099,7 @@ SELECT a COLLATE "C" &lt; b COLLATE "POSIX" FROM test1;
   </sect4>
   </sect3>
 
-  <sect3 id="collation-create">
+  <sect3 id="collation-create" xreflabel="Creating New Collation Objects">
    <title>Creating New Collation Objects</title>
 
    <para>
@@ -1115,7 +1115,7 @@ SELECT a COLLATE "C" &lt; b COLLATE "POSIX" FROM test1;
     ensures that they are saved by <command>pg_dump</command>.
    </para>
 
-   <sect4 id="collation-managing-create-libc">
+   <sect4 id="collation-managing-create-libc" xreflabel="libc Collations">
     <title>libc Collations</title>
 
     <para>
@@ -1139,7 +1139,7 @@ CREATE COLLATION german (provider = libc, locale = 'de_DE');
     </para>
    </sect4>
 
-   <sect4 id="collation-managing-create-icu">
+   <sect4 id="collation-managing-create-icu" xreflabel="ICU Collations">
     <title>ICU Collations</title>
 
     <para>
@@ -1160,7 +1160,7 @@ CREATE COLLATION german (provider = icu, locale = 'de-DE');
      linkend="icu-custom-collations"/> for details and examples.
     </para>
    </sect4>
-   <sect4 id="collation-copy">
+   <sect4 id="collation-copy" xreflabel="Copying Collations">
    <title>Copying Collations</title>
 
    <para>
@@ -1177,7 +1177,7 @@ CREATE COLLATION french FROM "fr-x-icu";
    </sect4>
    </sect3>
 
-   <sect3 id="collation-nondeterministic">
+   <sect3 id="collation-nondeterministic" xreflabel="Nondeterministic Collations">
     <title>Nondeterministic Collations</title>
 
     <para>
@@ -1238,7 +1238,7 @@ CREATE COLLATION ignore_accents (provider = icu, locale = 'und-u-ks-level1-kc-tr
    </sect3>
   </sect2>
 
-  <sect2 id="icu-custom-collations">
+  <sect2 id="icu-custom-collations" xreflabel="ICU Custom Collations">
    <title>ICU Custom Collations</title>
 
    <para>
@@ -1268,7 +1268,7 @@ SELECT 'w;x*y-z' = 'wxyz' COLLATE num_ignore_punct; -- true
     linkend="icu-external-references"/> for more details.
    </para>
 
-   <sect3 id="icu-collation-comparison-levels">
+   <sect3 id="icu-collation-comparison-levels" xreflabel="ICU Comparison Levels">
     <title>ICU Comparison Levels</title>
 
     <para>
@@ -1380,7 +1380,7 @@ SELECT 'w;x*y-z' = 'wxyz' COLLATE num_ignore_punct; -- true
      <literal>true</literal>.
     </para>
 
-    <sect4 id="icu-collation-level-examples">
+    <sect4 id="icu-collation-level-examples" xreflabel="Collation Level Examples">
      <title>Collation Level Examples</title>
 
 <programlisting>
@@ -1400,7 +1400,7 @@ SELECT 'x-y' = 'x_y' COLLATE level4; -- false
     </sect4>
    </sect3>
 
-   <sect3 id="icu-collation-settings">
+   <sect3 id="icu-collation-settings" xreflabel="Collation Settings for an ICU Locale">
     <title>Collation Settings for an ICU Locale</title>
 
     <para>
@@ -1606,7 +1606,7 @@ SELECT 'x-y' = 'x_y' COLLATE level4; -- false
     </note>
    </sect3>
 
-   <sect3 id="icu-locale-examples">
+   <sect3 id="icu-locale-examples" xreflabel="Collation Settings Examples">
     <title>Collation Settings Examples</title>
 
      <variablelist>
@@ -1656,7 +1656,7 @@ SELECT 'x-y' = 'x_y' COLLATE level4; -- false
      </variablelist>
    </sect3>
 
-   <sect3 id="icu-tailoring-rules">
+   <sect3 id="icu-tailoring-rules" xreflabel="ICU Tailoring Rules">
     <title>ICU Tailoring Rules</title>
 
     <para>
@@ -1712,7 +1712,7 @@ ORDER BY c COLLATE ebcdic;
     </para>
    </sect3>
 
-   <sect3 id="icu-external-references">
+   <sect3 id="icu-external-references" xreflabel="External References for ICU">
     <title>External References for ICU</title>
 
     <para>
@@ -1752,7 +1752,7 @@ ORDER BY c COLLATE ebcdic;
   </sect2>
  </sect1>
 
- <sect1 id="multibyte">
+ <sect1 id="multibyte" xreflabel="Character Set Support">
   <title>Character Set Support</title>
 
   <indexterm zone="multibyte"><primary>character set</primary></indexterm>
@@ -1786,7 +1786,7 @@ ORDER BY c COLLATE ebcdic;
    with most but not all server-side encodings.
   </para>
 
-   <sect2 id="multibyte-charset-supported">
+   <sect2 id="multibyte-charset-supported" xreflabel="Supported Character Sets">
     <title>Supported Character Sets</title>
 
     <para>
@@ -2225,7 +2225,7 @@ ORDER BY c COLLATE ebcdic;
      </para>
     </sect2>
 
-   <sect2 id="multibyte-setting">
+   <sect2 id="multibyte-setting" xreflabel="Setting the Character Set">
     <title>Setting the Character Set</title>
 
     <para>
@@ -2313,7 +2313,7 @@ $ <userinput>psql -l</userinput>
     </important>
    </sect2>
 
-   <sect2 id="multibyte-automatic-conversion">
+   <sect2 id="multibyte-automatic-conversion" xreflabel="Automatic Character Set Conversion Between Server and Client">
     <title>Automatic Character Set Conversion Between Server and Client</title>
 
     <para>
@@ -2426,7 +2426,7 @@ RESET client_encoding;
     </para>
    </sect2>
 
-   <sect2 id="multibyte-conversions-supported">
+   <sect2 id="multibyte-conversions-supported" xreflabel="Available Character Set Conversions">
     <title>Available Character Set Conversions</title>
 
     <para>
@@ -3395,7 +3395,7 @@ RESET client_encoding;
     </table>
    </sect2>
 
-   <sect2 id="multibyte-further-reading">
+   <sect2 id="multibyte-further-reading" xreflabel="Further Reading">
     <title>Further Reading</title>
 
     <para>
diff --git a/doc/src/sgml/citext.sgml b/doc/src/sgml/citext.sgml
index 8322885661e..b9125c93cca 100644
--- a/doc/src/sgml/citext.sgml
+++ b/doc/src/sgml/citext.sgml
@@ -30,7 +30,7 @@
   on the current database.
  </para>
 
- <sect2 id="citext-rationale">
+ <sect2 id="citext-rationale" xreflabel="Rationale">
   <title>Rationale</title>
 
   <para>
@@ -84,7 +84,7 @@ SELECT * FROM tab WHERE lower(col) = LOWER(?);
 
  </sect2>
 
- <sect2 id="citext-how-to-use-it">
+ <sect2 id="citext-how-to-use-it" xreflabel="How to Use It">
   <title>How to Use It</title>
 
   <para>
@@ -111,7 +111,7 @@ SELECT * FROM users WHERE nick = 'Larry';
   </para>
  </sect2>
 
- <sect2 id="citext-string-comparison-behavior">
+ <sect2 id="citext-string-comparison-behavior" xreflabel="String Comparison Behavior">
   <title>String Comparison Behavior</title>
 
   <para>
@@ -196,7 +196,7 @@ SELECT * FROM users WHERE nick = 'Larry';
 
  </sect2>
 
- <sect2 id="citext-limitations">
+ <sect2 id="citext-limitations" xreflabel="Limitations">
   <title>Limitations</title>
 
    <itemizedlist>
@@ -277,7 +277,7 @@ SELECT * FROM users WHERE nick = 'Larry';
    </itemizedlist>
  </sect2>
 
- <sect2 id="citext-author">
+ <sect2 id="citext-author" xreflabel="Author">
   <title>Author</title>
 
   <para>
diff --git a/doc/src/sgml/client-auth.sgml b/doc/src/sgml/client-auth.sgml
index a347ee18980..fe125d093d2 100644
--- a/doc/src/sgml/client-auth.sgml
+++ b/doc/src/sgml/client-auth.sgml
@@ -54,7 +54,7 @@
   database user names and OS user names.
  </para>
 
- <sect1 id="auth-pg-hba-conf">
+ <sect1 id="auth-pg-hba-conf" xreflabel="The pg_hba.conf File">
   <title>The <filename>pg_hba.conf</filename> File</title>
 
   <indexterm zone="auth-pg-hba-conf">
@@ -903,7 +903,7 @@ local   db1,db2,@demodbs  all                                   scram-sha-256
    </example>
  </sect1>
 
- <sect1 id="auth-username-maps">
+ <sect1 id="auth-username-maps" xreflabel="User Name Maps">
   <title>User Name Maps</title>
 
   <indexterm zone="auth-username-maps">
@@ -1070,7 +1070,7 @@ omicron         bryanh                  guest1
   </example>
  </sect1>
 
- <sect1 id="auth-methods">
+ <sect1 id="auth-methods" xreflabel="Authentication Methods">
   <title>Authentication Methods</title>
 
   <para>
@@ -1177,7 +1177,7 @@ omicron         bryanh                  guest1
   </para>
  </sect1>
 
-  <sect1 id="auth-trust">
+  <sect1 id="auth-trust" xreflabel="Trust Authentication">
    <title>Trust Authentication</title>
 
    <para>
@@ -1225,7 +1225,7 @@ omicron         bryanh                  guest1
 
   </sect1>
 
-  <sect1 id="auth-password">
+  <sect1 id="auth-password" xreflabel="Password Authentication">
    <title>Password Authentication</title>
 
    <indexterm>
@@ -1358,7 +1358,7 @@ omicron         bryanh                  guest1
    </para>
   </sect1>
 
-  <sect1 id="gssapi-auth">
+  <sect1 id="gssapi-auth" xreflabel="GSSAPI Authentication">
    <title>GSSAPI Authentication</title>
 
    <indexterm zone="gssapi-auth">
@@ -1524,7 +1524,7 @@ omicron         bryanh                  guest1
    </para>
   </sect1>
 
-  <sect1 id="sspi-auth">
+  <sect1 id="sspi-auth" xreflabel="SSPI Authentication">
    <title>SSPI Authentication</title>
 
    <indexterm zone="sspi-auth">
@@ -1644,7 +1644,7 @@ omicron         bryanh                  guest1
    </para>
   </sect1>
 
-  <sect1 id="auth-ident">
+  <sect1 id="auth-ident" xreflabel="Ident Authentication">
    <title>Ident Authentication</title>
 
    <indexterm>
@@ -1726,7 +1726,7 @@ omicron         bryanh                  guest1
    </para>
   </sect1>
 
-  <sect1 id="auth-peer">
+  <sect1 id="auth-peer" xreflabel="Peer Authentication">
    <title>Peer Authentication</title>
 
    <indexterm>
@@ -1767,7 +1767,7 @@ omicron         bryanh                  guest1
 
   </sect1>
 
-  <sect1 id="auth-ldap">
+  <sect1 id="auth-ldap" xreflabel="LDAP Authentication">
    <title>LDAP Authentication</title>
 
    <indexterm zone="auth-ldap">
@@ -2096,7 +2096,7 @@ host ... ldap ldapbasedn="dc=example,dc=net"
 
   </sect1>
 
-  <sect1 id="auth-radius">
+  <sect1 id="auth-radius" xreflabel="RADIUS Authentication">
    <title>RADIUS Authentication</title>
 
    <indexterm zone="auth-radius">
@@ -2208,7 +2208,7 @@ host ... radius radiusservers="server1,server2" radiussecrets="""secret one"",""
    </para>
   </sect1>
 
-  <sect1 id="auth-cert">
+  <sect1 id="auth-cert" xreflabel="Certificate Authentication">
    <title>Certificate Authentication</title>
 
    <indexterm zone="auth-cert">
@@ -2252,7 +2252,7 @@ host ... radius radiusservers="server1,server2" radiussecrets="""secret one"",""
    </para>
   </sect1>
 
-  <sect1 id="auth-pam">
+  <sect1 id="auth-pam" xreflabel="PAM Authentication">
    <title>PAM Authentication</title>
 
    <indexterm zone="auth-pam">
@@ -2310,7 +2310,7 @@ host ... radius radiusservers="server1,server2" radiussecrets="""secret one"",""
    </note>
   </sect1>
 
-  <sect1 id="auth-bsd">
+  <sect1 id="auth-bsd" xreflabel="BSD Authentication">
    <title>BSD Authentication</title>
 
    <indexterm zone="auth-bsd">
@@ -2345,7 +2345,7 @@ host ... radius radiusservers="server1,server2" radiussecrets="""secret one"",""
    </note>
   </sect1>
 
-  <sect1 id="auth-oauth">
+  <sect1 id="auth-oauth" xreflabel="OAuth Authorization/Authentication">
    <title>OAuth Authorization/Authentication</title>
 
    <indexterm zone="auth-oauth">
@@ -2581,7 +2581,7 @@ host ... radius radiusservers="server1,server2" radiussecrets="""secret one"",""
    </para>
   </sect1>
 
-  <sect1 id="client-authentication-problems">
+  <sect1 id="client-authentication-problems" xreflabel="Authentication Problems">
    <title>Authentication Problems</title>
 
    <para>
diff --git a/doc/src/sgml/color.sgml b/doc/src/sgml/color.sgml
index 5b782f7cc27..7a0756ebb4d 100644
--- a/doc/src/sgml/color.sgml
+++ b/doc/src/sgml/color.sgml
@@ -12,7 +12,7 @@
   output.  This appendix describes how that is configured.
  </para>
 
- <sect1 id="color-when">
+ <sect1 id="color-when" xreflabel="When Color is Used">
   <title>When Color is Used</title>
 
   <para>
@@ -43,7 +43,7 @@
   </para>
  </sect1>
 
- <sect1 id="color-which">
+ <sect1 id="color-which" xreflabel="Configuring the Colors">
   <title>Configuring the Colors</title>
 
   <para>
